Bug 195209 - [linux] mounting linprocfs/linsysfs isn't described in the "Configuring Linux Binary Compatibility" chapter/manpages
Summary: [linux] mounting linprocfs/linsysfs isn't described in the "Configuring Linux...
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-20 08:26 UTC by Enji Cooper
Modified: 2021-03-03 16:56 UTC (History)
2 users (show)

See Also:


Attachments
Mounting filesystems for linux compatibillity (1.32 KB, patch)
2021-01-16 23:22 UTC, Alexis Praga
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Enji Cooper freebsd_committer 2014-11-20 08:26:26 UTC
The handbook and manpages for linprocfs/linsysfs don't describe how linprocfs/linsysfs should be mounted via /etc/fstab. I used the following incantation and it worked with mount -a after the kld's had been loaded and my CentOS 6.x base had been installed.

  linproc /compat/linux/proc      linprocfs rw,late    0       0
  linsys  /compat/linux/sys       linsysfs rw,late     0       0
Comment 1 Chris Rees freebsd_committer 2019-04-16 10:15:21 UTC
I found this in the linprocfs(5) man page, though I can't be certain it was there when you sent this in!
Comment 2 Alexis Praga 2021-01-13 18:49:15 UTC
This is also mentioned in emulators/linux_base-c7. In short : 

    linprocfs   /compat/linux/proc  linprocfs       rw      0       0
    linsysfs    /compat/linux/sys   linsysfs        rw      0       0
    tmpfs    /compat/linux/dev/shm  tmpfs   rw,mode=1777    0       0
Comment 3 Alexis Praga 2021-01-16 23:22:48 UTC
Created attachment 221651 [details]
Mounting filesystems for linux compatibillity

As discussed with Chris, here is a patch adding how to mount the filesystem. Please tell me if there is any issue with the patch as it is my first.
Comment 4 Chris Rees freebsd_committer 2021-01-16 23:31:55 UTC
Acknowledged :)
Comment 5 commit-hook freebsd_committer 2021-03-03 16:56:04 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/doc/commit/?id=b0fd96912189684a0ab542045c4560d1c72d60b2

commit b0fd96912189684a0ab542045c4560d1c72d60b2
Author:     Alexis Praga <alexis.praga@free.fr>
AuthorDate: 2021-03-03 16:53:42 +0000
Commit:     Chris Rees <crees@FreeBSD.org>
CommitDate: 2021-03-03 16:53:42 +0000

    handbook/linuxemu: show how to mount linprocfs

    Some programs expect procfs and other Linuxisms.

    PR:             docs/195209
    Reported by:    ngie

 .../content/en/books/handbook/linuxemu/_index.adoc      | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)
Comment 6 Chris Rees freebsd_committer 2021-03-03 16:56:13 UTC
Committed, with minor changes.  Thanks!